<?

error_reporting(E_ALL);

mysql_connect('localhost', 'root', 'graviton');
mysql_select_db("testdb");
mysql_query("set names 'utf8'");



if(isset($_POST['reg']) && (trim($_POST['name']) != "") && (trim($_POST['name1']) != "")
 		&& (trim($_POST['course']) != "") && (trim($_POST['email']) != "")
		&& preg_match("/^[a-zA-Z0-9_\-.]+@(?:[a-zA-Z0-9_]{1,3})+(\.[a-zA-Z0-9_]{1,3})+(\.[a-zA-Z0-9_]{1,3})*/",trim($_POST['email'])) ) 
{
	$name=$_POST['name'];
	$name1=$_POST['name1'];
	$course=$_POST['course'];
	$email=$_POST['email'];
	
	$result = mysql_query('SELECT MAX(id) FROM question3');
	$max_id = mysql_result($result, 0);

	$random_id = mt_rand(1, $max_id);
	$random_id0 = $random_id;
	$took = 0;
	$result = mysql_query("select * from question3");
	$number=mysql_num_rows($result);
	while($row = mysql_fetch_assoc($result)) {
		if ($row["id"]==$random_id){
			if ($row["taken"]==1 ){
				$num_q=$row["id"];
				$question=$row["text_q"];        
				$query="UPDATE  question3  SET taken=0 where id=$random_id";
				$took = 1;
				break;
			}
			else {
			$random_id =$random_id+1;
			}
		}
	}
	if ($took==0) {
		$random_id=1;
		$result = mysql_query("select * from question3");
		while($row = mysql_fetch_assoc($result)) {
			if ($row["id"]==$random_id) {
				if ($row["taken"]==1 ){
					$num_q=$row["id"];
					$question=$row["text_q"];
					$query="UPDATE  question3  SET taken=0 where id=$random_id";
					$took = 1;
					break;
				}
				else {
				$random_id =$random_id+1;
				}
			}
		}
	}
	if ($took==0) {
		$query="UPDATE  question3  SET taken=1";
		$result = mysql_query($query);
		$result = mysql_query("select * from question3");
		while($row = mysql_fetch_assoc($result)) {
			if ($row["id"]==$random_id0) {
				$num_q=$namerow["id"];
				$question=$row["text_q"];
				$query="UPDATE  question3  SET taken=0 where id=$random_id0";
				break;
			}
		}
	}

	$result = mysql_query($query);
	mysql_close();

	$message="<p>Студент: ".$name." ".$name1."; курс, группа:  ".$course."; e-mail:  ".$email.
		". <p> Модуль 3. <p> Вопрос: ".$num_q.". ".$question;


	//     mail($email,"Регистрация на сдачу тестов по модулю 5",$message,"Content-Type: text/html; 
	//     charset=utf-8","From: sytova@inp.minsk.by");
	// mail("sergey.maksimenko@gmail.com","Регистрация на сдачу тестов по модулю 5",$message,"Content-Type: text/html; 
	// charset=windows-1251","From: sytova@inp.minsk.by");

	header("Location: z3.php?name=".urlencode($name)."&name1=".urlencode($name1)."&course=".urlencode($course).
		"&email=".urlencode($email)."&q=".urlencode($num_q));
	exit;

	
	
}

$questions= array();

$result = mysql_query("select * from question3");
while($row = mysql_fetch_assoc($result)) {
	$questions[$row["id"]] = $row["text_q"];
}




?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html> <head>
<title>3.Physics of nanostructured materials
</title>
<META  HTTP-EQUIV="pragma" CONTENT="nocache">
<META  http-equiv="Content-Type"  content="text/html; charset=utf-8">
<META NAME="description" CONTENT="Electrodynamics of nonhomogeneous mediums laboratory, 
Research Institute for Nuclear Problems">
</head>
<body BGCOLOR=silver>

<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
<TR bgColor=#aaaaaa>
          <TD height=28><FONT face="Arial, Helvetica, sans-serif" size=3><IMG 
            src="./pic/arrow_back.gif" ALT="arrow"> 
            | <!-- <A 
            href="glava1.htm"> --> Модуль 1 </A> 

            | <!-- <A 
            href="glava2.htm"> --> Модуль 2 </A> 
| <A 
            href="glava3.htm"> Модуль 3 </A>
| <A 
            href="glava4.htm"> Модуль 4 </A>
| <A 
            href="glava5.htm"> Модуль 5 </A>

| <!-- <A 
            href="links.htm"> --> Полезные ссылки </A>
            | &nbsp;</FONT></TD></TR>

</TABLE>
<p>

<TABLE width=100% CELLspacING=0 BORDER=0>
<TD width=15% >
<IMG HEIGHT=150  BORDER=0  SRC="./pic/nano.gif" ALT="INP">
</TD>
<TD width=85% ><CENTER>
<B><FONT COLOR=darkblue><FONT
SIZE=5>Модуль 3. Полупроводниковые наноразмерные гетероструктуры</B></CENTER>
<CENTER>
<p>
<B><FONT COLOR=darkblue><FONT 
SIZE=5>Дистанционные задания-тесты для контроля знаний студентов</B></CENTER>
</TD>
</TABLE>
<p>
<?

foreach ($questions as $id => $question) {
	echo "<FONT SIZE=3 COLOR=darkblue>$id. $question</br>";
}
?>

<p>
<p>

</TABLE></TD>
<p>

<CENTER><IMG  BORDER=0  SRC="./pic/rdleist.gif"  ALT="---------------------"></CENTER>
<p>


<?if(!isset($_GET["q"])): ?>
	<FORM METHOD="POST">
	<BR>
	<TABLE  CELLspacING=10 BORDER=0>
	<TR><TD width=70 ></TD><TD width=44 >
	<INPUT TYPE="SUBMIT" Name="reg" VALUE="Зарегистрироваться" STYLE="font-weight:bold; color:darkblue; background-color: E0E0E0"> 
	</TD>
	<TD > 
	<p>
	<B><FONT COLOR=darkblue SIZE=4>
	Фамилия: 
	<input type="text"
	name="name"
	size="25"
	maxlenght="35" value="<?=isset($_POST['reg'])?htmlspecialchars($_POST["name"]):"" ?>" />
	<p>
	Имя Отчество: 
	<input type="text"
	name="name1"
	size="35"
	maxlenght="50" value="<?=isset($_POST['reg'])?htmlspecialchars($_POST["name1"]):"" ?>" />
	<p>
	Курс, группа:
	<input type="text"
	name="course"
	size="35"
	maxlenght="50" value="<?=isset($_POST['reg'])?htmlspecialchars($_POST["course"]):"" ?>" />
	<p> e-mail :
	<input type="text"
	name="email"
	size="35"
	maxlenght="50" value="<?=isset($_POST['reg'])?htmlspecialchars($_POST["email"]):"" ?>" />
	</TD>
	
	</TR>
	
	</TABLE><p>
	</form>
<? endif; ?>



<?



if(isset($_POST['reg'])) {
	$name=$_POST['name'];
	$name1=$_POST['name1'];
	$course=$_POST['course'];
	$email=$_POST['email'];
	if(trim($name)==''){
	die("Вы не ввели фамилию !");
	}
	if(trim($name1)==''){
	die("Вы не ввели имя !");
	}
	
	if(trim($course)==''){
	die("Вы не ввели курс и номер группы !");
	}
	
	if(trim($email)=='') {
	die("Вы не ввели ваш EMAIL !");
	}
	
	//Проверяем валидность электронного адреса пользователя
	if (!preg_match("/^[a-zA-Z0-9_\-.]+@(?:[a-zA-Z0-9_]{1,3})+(\.[a-zA-Z0-9_]{1,3})+(\.[a-zA-Z0-9_]{1,3})*/",$email)){
	die("Ошибочный формат EMAIL-адреса !");
	}
}



if(isset($_GET["q"])) {

	echo "<B><FONT SIZE=3 COLOR=darkblue> Студент: ".$_GET["name"]." ".$_GET["name1"]."; курс, группа:  "
		.$_GET["course"]."; e-mail:  ".$_GET["email"]."<p>".
		"Ваш вопрос: ". $_GET["q"].".".
		" ".$questions[intval($_GET["q"])]."<p>".
		"Удачи!  <p>"; 
}




?>




<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
<TR bgColor=#aaaaaa>
          <TD height=28><FONT face="Arial, Helvetica, sans-serif" size=3>
<IMG WIDTH=30 HEIGHT=30 BORDER=0  src="./pic/arrow.gif" ALT="arrow">| 
 <A href="index.htm">  На главную</A> | </TD><TD><FONT COLOR=darkblue> &copy;2010, INP </a></TD></TR></TABLE>
<BR>
<BR>
</body> </html>

